### Method

# Ggit Repository path_is_ignored

#### Declaration [src]

    gboolean
    ggit_repository_path_is_ignored (
      GgitRepository* repository,
      const gchar* path,
      GError** error
    )

#### Description [src]

Tests if the ignore rules apply to the path provided.

This acts similar to filtering performed when calling “git add .” on the command line.

#### Parameters

`path`

  Type: `const gchar*`

  A path within the repository.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `path` should be ignored.